scala.collection.mutable
trait FlatHashTable

[source: `scala/collection/mutable/FlatHashTable.scala`]

`` `trait` FlatHashTable[A]
  `extends` AnyRef

Direct Known Subclasses:
  HashSet, HashSet

Value Summary
`protected var` | table : Array[AnyRef] The actual hash table.
`protected var` | tableSize : Int The number of mappings contained in this hash table.
`protected var` | threshold : Int The next size value at which to resize (capacity load factor).

Method Summary
`def` | addEntry (elem : A) : Unit
`protected def` | clear : Unit
`def` | containsEntry (elem : A) : Boolean
`protected def` | elemHashCode (elem : A) : Int
`def` | elements : Iterator[A]
`def` | findEntry (elem : A) : Option[A]
`protected final def` | improve (hcode : Int) : Int
`protected final def` | index (hcode : Int) : Int
`protected def` | initialSize : Int The initial size of the hash table.
`protected def` | loadFactor : Int The load factor for the hash table; must be < 500 (0.5)
`protected final def` | loadFactorDenum : Int
`def` | removeEntry (elem : A) : Unit
`def` | size : Int Returns the number of entires in this hash table.

Methods inherited from AnyRef
getClass, hashCode, equals, clone, toString, notify, notifyAll, wait, wait, wait, finalize, ==, !=, eq, ne, synchronized

Methods inherited from Any
==, !=, isInstanceOf, asInstanceOf

Value Details

`protected` `var` table : Array[AnyRef]

  The actual hash table.

`protected` `var` tableSize : Int

  The number of mappings contained in this hash table.

`protected` `var` threshold : Int

  The next size value at which to resize (capacity load factor).

Method Details

`protected` `def` loadFactor : Int

  The load factor for the hash table; must be < 500 (0.5)

`protected final` `def` loadFactorDenum : Int

`protected` `def` initialSize : Int

  The initial size of the hash table.

`` `def` size : Int

  Returns the number of entires in this hash table.

`` `def` findEntry(elem : A) : Option[A]

`` `def` containsEntry(elem : A) : Boolean

`` `def` addEntry(elem : A) : Unit

`` `def` removeEntry(elem : A) : Unit

`` `def` elements : Iterator[A]

`protected` `def` elemHashCode(elem : A) : Int

`protected final` `def` improve(hcode : Int) : Int

`protected final` `def` index(hcode : Int) : Int

`protected` `def` clear : Unit